nV News Forums

 
 

nV News Forums (http://www.nvnews.net/vbulletin/index.php)
-   NVIDIA FreeBSD (http://www.nvnews.net/vbulletin/forumdisplay.php?f=47)
-   -   FreeBSD 5.0 ?? yeah right.. (http://www.nvnews.net/vbulletin/showthread.php?t=11261)

Karnaugh 05-04-03 05:12 PM

FreeBSD 5.0 ?? yeah right..
 
Just wondering about these people that claim to have gotten this working on FreeBSD 5.0

No matter what i do the current driver refuses to compile with the following error.. I have tried all the stupid "fixes" and none of them change this.

Quote:

Stop in /root/NVIDIA_FreeBSD-1.0-3203.from integer without a cast
/root/NVIDIA_FreeBSD-1.0-3203/src/nvidia_dev.c:33: warning: initialization from incompatible pointer type
/root/NVIDIA_FreeBSD-1.0-3203/src/nvidia_dev.c:35: warning: initialization makes pointer from integer without a cast
/root/NVIDIA_FreeBSD-1.0-3203/src/nvidia_dev.c:39: warning: excess elements in struct initializer
/root/NVIDIA_FreeBSD-1.0-3203/src/nvidia_dev.c:39: warning: (near initialization for `nvidia_dev_cdevsw')
/root/NVIDIA_FreeBSD-1.0-3203/src/nvidia_dev.c:140: conflicting types for `nvidia_dev_mmap'
/root/NVIDIA_FreeBSD-1.0-3203/src/nvidia_dev.c:20: previous declaration of `nvidia_dev_mmap'
*** Error code 1

Stop in /root/NVIDIA_FreeBSD-1.0-3203/module.
*** Error code 1

Stop in /root/NVIDIA_FreeBSD-1.0-3203.
Any ETA before my machine stops collecting dust ? Some of us have work to do :rolleyes:

using
FreeBSD 5.0-RELEASE

Andy Mecham 05-04-03 06:59 PM

We hope to release a new driver soon that will support FreeBSD 5.0.

--andy

zorro 05-05-03 11:17 AM

Have you checked the ports?

look under /usr/ports/x11/nvidia-driver

There are two defines in the makefile that you wana check out, WITH_FREEBSD_AGP and WITHOUT_LINUX.

I didn't get the agp stuff in nvidia's driver to work so i had to use WITH_FREEBSD_AGP=yes, so i can recommend you to use that define. I'm also not intrested in linux stuff so i also used the other define (WITHOUT_LINUX=yes).

Note(!!): Even if you define WITHOUT_LINUX you will have dependency to linux.ko. To get rid of that you'll need to edit nv-freebsd.h and remove the line: "#define NV_SUPPORT_LINUX_COMPAT 1".

This is how i did it:
cd /usr/ports/x11/nvidia-driver
make WITHOUT_LINUX=yes WITH_FREEBSD_AGP=yes patch

*** edit nv-freebsd.h as described above ***

make WITHOUT_LINUX=yes WITH_FREEBSD_AGP=yes install

prompt# uname -a && sysctl -a | grep nvidia
FreeBSD volvo.tomten.homelinux.net 5.0-CURRENT FreeBSD 5.0-CURRENT #0: Sat May 3 18:28:28 CEST 2003 marcus@volvo.tomten.homelinux.net:/usr/obj/usr/src/sys/KERNEL17 i386

hw.nvidia.agp.card.rates: 4x 2x 1x
hw.nvidia.agp.card.fw: supported
hw.nvidia.agp.card.sba: not supported
hw.nvidia.agp.card.registers: 0x1f000017:0x1f000114
hw.nvidia.agp.status.status: enabled
hw.nvidia.agp.status.driver: freebsd (agp.ko)
hw.nvidia.agp.status.rate: 4x
hw.nvidia.agp.status.fw: enabled
hw.nvidia.agp.status.sba: disabled
hw.nvidia.version: NVIDIA FreeBSD x86 nvidia.ko Kernel Module 1.0-3203 Wed Oct 30 06:06:58 PST 2002
hw.nvidia.registry.EnableAGPSBA: 0
hw.nvidia.registry.EnableAGPFW: 1
hw.nvidia.registry.SoftEDIDs: 1
hw.nvidia.registry.Mobile: 4294967295
hw.nvidia.cards.0.model: GeForce4 MX 460
hw.nvidia.cards.0.irq: 11
hw.nvidia.cards.0.vbios: 04.17.00.58.12
hw.nvidia.cards.0.type: AGP
;)


All times are GMT -5. The time now is 03:07 AM.

Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.